Loading...
Searching...
No Matches
gtsam::FixedDimension< T > Struct Template Reference

## Detailed Description

template<typename T>
struct gtsam::FixedDimension< T >

Give fixed size dimension of a type, fails at compile time if dynamic.

## Public Member Functions

| BOOST_STATIC_ASSERT_MSG (value !=Eigen::Dynamic, "FixedDimension instantiated for dymanically-sized type.")

## Static Public Attributes

static const int | value = traits<T>::dimension

## Public Types

typedef const int | value_type

The documentation for this struct was generated from the following file:

- /build/gtsam-RkN8wG/gtsam-4.2.2+dfsg/gtsam/base/Manifold.h